//+---------------------------------------------------------+
//|                        Puria |
//|                      Copyright  12.2010 Oleg Tsiliuric |
//+---------------------------------------------------------+
#property copyright " 2010, Oleg Tsiliuric"
#property link      "olej@front.ru"

//---- indicator settings
#property  indicator_separate_window     //    
#property  indicator_buffers 3 
#property  indicator_color1  LimeGreen   //   

//---- indicator parameters
extern int MovingPeriod1    = 5;
extern int MovingPeriod2    = 75;
extern int MovingPeriod3    = 85;
double     CrossBuffer[],                 //  
           HighBuffer[],
           LowBuffer[];
//------------------------------------------------------------------
int init() {
   SetIndexBuffer( 0, CrossBuffer );      //   
   SetIndexBuffer( 1, HighBuffer );
   SetIndexBuffer( 2, LowBuffer );
   SetIndexStyle( 0, DRAW_LINE, EMPTY, 2 );
   SetIndexStyle( 1, DRAW_LINE, STYLE_DASHDOTDOT, 1, Red );  
   SetIndexStyle( 2, DRAW_LINE, STYLE_DASHDOTDOT, 1, Aqua );  
   IndicatorShortName( "cross(" + MovingPeriod1 + " x " +
                       MovingPeriod2 + "," + MovingPeriod3 + ")" );
   SetIndexLabel( 0, "cross" );
}
//------------------------------------------------------------------
int start() {
   int limit;
   int counted_bars = IndicatorCounted();
   if( counted_bars>0 ) counted_bars--;  //    
   limit = Bars - counted_bars;
   for( int i = 0; i < limit; i++ ) {
      HighBuffer[ i ] = 1;
      LowBuffer[ i ] = -1;
      double ma1, ma2, ma3, macd;
      ma1  = iMA( NULL, 0, MovingPeriod1, 0, MODE_EMA, PRICE_CLOSE, i );
      ma2  = iMA( NULL, 0, MovingPeriod2, 0, MODE_LWMA, PRICE_LOW, i );
      ma3  = iMA( NULL, 0, MovingPeriod3, 0, MODE_LWMA, PRICE_LOW, i );
      CrossBuffer[ i ] = 0; 
      if( ma1<=ma2 && ma1<=ma3 ) CrossBuffer[ i ] = -1;
      if( ma1>=ma2 && ma1>=ma3 ) CrossBuffer[ i ] = 1; 
   }
}
//------------------------------------------------------------------